> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /google/advertisers/search

> Search Google Ads Transparency Center advertisers by name or keyword in a given region. Returns up to 100 advertisers per request with id, name, country/state, topic, verification status and bucketed ad count range.

**Price:** 1 credit per 10 results



## OpenAPI

````yaml /openapi/ad-transparency.json post /api/google/advertisers/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/google/advertisers/search:
    post:
      tags:
        - /google/advertisers
      summary: /google/advertisers/search
      description: >-
        Search Google Ads Transparency Center advertisers by name or keyword in
        a given region. Returns up to 100 advertisers per request with id, name,
        country/state, topic, verification status and bucketed ad count range.


        **Price:** 1 credit per 10 results
      operationId: __api_google_advertisers_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GoogleAdvertisersSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/GoogleAdvertiserMatch'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    GoogleAdvertisersSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        query:
          type: string
          minLength: 1
        region:
          $ref: '#/components/schemas/GoogleAdRegion'
          default: US
        topic:
          $ref: '#/components/schemas/GoogleAdTopic'
          default: commercial
        count:
          type: integer
          maximum: 100
          minimum: 1
      type: object
      required:
        - query
        - count
    GoogleAdvertiserMatch:
      properties:
        '@type':
          type: string
          default: GoogleAdvertiserMatch
        id:
          type: string
        name:
          anyOf:
            - type: string
            - type: 'null'
        country:
          anyOf:
            - type: string
            - type: 'null'
        topic:
          $ref: '#/components/schemas/GoogleAdTopic'
        is_verified:
          type: boolean
          default: false
        ad_count_min:
          anyOf:
            - type: integer
            - type: 'null'
        ad_count_max:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
      required:
        - id
        - topic
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    GoogleAdRegion:
      type: string
      enum:
        - US
        - GB
        - CA
        - AU
        - DE
        - FR
        - IT
        - ES
        - NL
        - SE
        - JP
        - PL
        - AT
        - BE
        - BR
        - CH
        - CZ
        - DK
        - FI
        - GR
        - HK
        - HU
        - IE
        - IL
        - IN
        - KR
        - MX
        - MY
        - 'NO'
        - NZ
        - PH
        - PR
        - PT
        - RO
        - SG
        - TH
        - TR
        - TW
        - UA
        - VI
        - ZA
    GoogleAdTopic:
      type: string
      enum:
        - commercial
        - political
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````